POST /support/v1/plesk-servers/{id}/import-domain
POST/support/v1/plesk-servers/{id}/import-domain
Import existing Plesk domain as webspace entity for a tenant
Request Body
| Name | Typ | Beschreibung |
|---|
tenantIderforderlich | string | |
pleskDomainIderforderlich | integer | |
domainNameerforderlich | string | |
dnsMode | string | |
phpVersion | string | |
diskQuotaGb | integer | |
Pfad-Parameter
| Name | Typ | Beschreibung |
|---|
iderforderlich | string | |
Beispiel
curl -X POST https://api.codemeta-os.de/support/v1/plesk-servers/{id}/import-domain \
-H "X-Tenant-Id: $TENANT" \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"tenantId": "string",
"pleskDomainId": 0,
"domainName": "string",
"dnsMode": "inwx",
"phpVersion": "string",
"diskQuotaGb": 0
}'
const result = await cm.plesk-servers.post({
"tenantId": "string",
"pleskDomainId": 0,
"domainName": "string",
"dnsMode": "inwx",
"phpVersion": "string",
"diskQuotaGb": 0
});
Antwortcodes
| HTTP |
Bedeutung |
201 |
Default Response |